# Global configuration file for VILLASnode
#
# Author: Steffen Vogel <post@steffenvogel.de>
# SPDX-FileCopyrightText: 2014-2023 Institute for Automation of Complex Power Systems, RWTH Aachen University
# SPDX-License-Identifier: Apache-2.0

## Global Options

# Mask of cores the server should run on
# This also maps the NIC interrupts to those cores!
affinity = 0x01

# Priority for the server tasks
# Usually the server is using a real-time FIFO
# scheduling algorithm

# See: https://github.com/docker/docker/issues/22380
#  on why we cant use real-time scheduling in Docker
#priority = 50


# The name of this VILLASnode. Might by used by node-types
# to identify themselves (default is the hostname)
name = "villas-acs"

logging = {
    # The level of verbosity for debug messages
    # One of: "warn", "info", "error", "off", "info"
    level = "debug"

    # File for logs
    file = "/tmp/villas-node.log"

    # Log to syslogd
    syslog = true
}

http = {
    # Do not listen on port if true
    enabled = true,

    # Port for HTTP connections
    port = 80
}
